std::piecewise_linear_distribution< _RealType >::param_type(3cxx)

NAME
std::piecewise_linear_distribution< _RealType >::param_type

SYNOPSIS

  Public Types

typedef piecewise_linear_distribution< _RealType > distribution_type

  Public Member Functions

template<typename _InputIteratorB , typename _InputIteratorW > param_type (_InputIteratorB __bfirst, _InputIteratorB __bend, _InputIteratorW __wbegin)
template<typename _Func > param_type (initializer_list< _RealType > __bl, _Func __fw)
template<typename _Func > param_type (size_t __nw, _RealType __xmin, _RealType __xmax, _Func __fw)
param_type (const param_type &)=default
std::vector< double > densities () const
std::vector< _RealType > intervals () const
param_type & operator= (const param_type &)=default

  Friends

bool operator== (const param_type &__p1, const param_type &__p2)
class piecewise_linear_distribution< _RealType >

Detailed Description

  template<typename _RealType = double>
struct std::piecewise_linear_distribution< _RealType >::param_type" Parameter type.

Definition at line 5597 of file random.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.